﻿
.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: unset;
}

.k-state-selected {
    color: #fff !important;
    background-color: #b2c7dc !important;
    border-color: #a9b5c1 !important;
    height: 33px;
}

.k-state-focused {
    box-shadow: none !important;
}

input {
    /*box-shadow: 0px 0px 1px #888888 !important;*/
    border-radius: 5px !important;
    height: 38px !important;
}


.select2-selection__placeholder {
    font-family: Arial, sans-serif !important;
    color: #21292c !important;
    text-transform: uppercase !important;
    font-size: 14px !important;
}

.select2-container--open {
    -webkit-box-shadow: 0 0 20px #52A8EC40 !important;
    -moz-box-shadow: 0 0 20px #52A8EC40 !important;
    -ms-box-shadow: 0 0 20px #52A8EC40 !important;
    box-shadow: 0 0 20px #52A8EC40 !important;
    -ms-border-radius: 0 !important;
    border: solid .8px #52a8ec !important;
    box-sizing: border-box;
}

/*
    ******************************************************************
                       Valor dados grid
    ******************************************************************
*/


.valorTotal {
    color: red !important;
    font-size: 20px !important;
    text-align: right !important;
}

.valorAdiantamento {
    color: #27961b !important;
    font-size: 20px !important;
    text-align: right !important;
}

.valorQuitado {
    color: #000000 !important;
    font-size: 20px !important;
    text-align: right !important;
}

/*
    ********************************************************************
                        Modificação para select dropdown
    ********************************************************************
*/

select.minimal {
    font-family: Arial, sans-serif;
    color: #21292c;
    text-transform: uppercase;
    font-size: 14px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: url(data:image/svg+xml;base64,PHN2ZyBpZD0iTGF5ZXJfMSIgZGF0YS1uYW1lPSJMYXllciAxIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA0Ljk1IDEwIj48ZGVmcz48c3R5bGU+LmNscy0xe2ZpbGw6I2ZmZjt9LmNscy0ye2ZpbGw6IzQ0NDt9PC9zdHlsZT48L2RlZnM+PHRpdGxlPmFycm93czwvdGl0bGU+PHJlY3QgY2xhc3M9ImNscy0xIiB3aWR0aD0iNC45NSIgaGVpZ2h0PSIxMCIvPjxwb2x5Z29uIGNsYXNzPSJjbHMtMiIgcG9pbnRzPSIxLjQxIDQuNjcgMi40OCAzLjE4IDMuNTQgNC42NyAxLjQxIDQuNjciLz48cG9seWdvbiBjbGFzcz0iY2xzLTIiIHBvaW50cz0iMy41NCA1LjMzIDIuNDggNi44MiAxLjQxIDUuMzMgMy41NCA1LjMzIi8+PC9zdmc+) no-repeat 99% 50%;
    background-color: #FFFFFF;
    box-sizing: border-box;
}

select {
    /*box-shadow: 0px 0px 1px #888888 !important;*/
    border-radius: 5px !important;
    box-sizing: border-box;
}

.minimal-search {
    border: solid .5px lightgray;
    height: 42px;
    padding-left: 11px;
    font-size: 14px;
    box-sizing: border-box;
}

.select {
    font-family: Arial, sans-serif;
    color: #21292c;
    text-transform: uppercase;
    font-size: 14px;
    box-sizing: border-box;
}

.input-validation-error-focus {
    border: solid 1px #e95555 !important;
    -webkit-box-shadow: 0 0 10px rgba(171, 41, 32, 0.5) !important;
    -moz-box-shadow: 0 0 10px rgba(171, 41, 32, 0.5) !important;
    -ms-box-shadow: 0 0 10px rgba(171, 41, 32, 0.5) !important;
    box-shadow: 0 0 10px rgba(171, 41, 32, 0.5) !important;
    -ms-border-radius: 0;
    border-radius: 0;
    box-sizing: border-box;
}

/*
    ********************************************************************
                        Modificação para select2
    ********************************************************************
*/

.select2-container .select2-selection.select2-selection--single {
    height: 36px !important;
    min-height: 36px !important;
}

.select2 {
    font-family: Arial, sans-serif;
    color: #21292c;
    text-transform: uppercase;
    font-size: 14px;
    -ms-border-radius: 5px !important;
    border-radius: 5px !important;
    box-sizing: border-box;
    height: 38px;
}

    .select2 span {
        border-radius: 5px !important;
    }

/*borda de azul quando da o foco*/
.select2-focus {
    -webkit-box-shadow: 0 0 20px #52A8EC40 !important;
    -moz-box-shadow: 0 0 20px #52A8EC40 !important;
    -ms-box-shadow: 0 0 20px #52A8EC40 !important;
    box-shadow: 0 0 20px #52A8EC40 !important;
    -ms-border-radius: 0 !important;
    border: solid 1px #52a8ec !important;
    box-sizing: border-box !important;
}



/*borda vermelha com shadow quando receber o foco*/
.input-validation-error-select2-focus {
    border: solid 1px #e95555 !important;
    -webkit-box-shadow: 0 0 20px rgba(171, 41, 32, 0.25) !important;
    -moz-box-shadow: 0 0 20px rgba(171, 41, 32, 0.25) !important;
    -ms-box-shadow: 0 0 20px rgba(171, 41, 32, 0.25) !important;
    box-shadow: 0 0 20px rgba(171, 41, 32, 0.25) !important;
    -ms-border-radius: 0 !important;
    box-sizing: border-box;
}


/*
    ********************************************************************
                        Modificação para select2 - Modal
    ********************************************************************
*/


/*Desce um pouco mais a descrição nos campos select2 dentro do modal (pages.css linha - 7661)*/
.select2-container .select2-selection {
    background-image: none;
    border-radius: 2px;
    border: 1px solid rgba(0, 0, 0, 0.07) !important;
    padding: 8px 9px !important;
    transition: border 0.2s linear 0s;
    box-sizing: border-box;
}

/*Desce um pouco mais a descrição nos campos select2 dentro do modal (pages.css linha - 7661)*/
.modal .select2-container .select2-selection {
    background-image: none;
    border-radius: 2px;
    border: 1px solid rgba(0, 0, 0, 0.07) !important;
    padding: 8px 9px !important;
    transition: border 0.2s linear 0s;
    box-sizing: border-box;
}





/*
    ********************************************************************
                        Modificação para botões
    ********************************************************************
*/

.button-focus:not(.sem-foco) {
    border-color: #52a8ec !important;
    -moz-box-shadow: 0 0 13px #52a8ec !important;
    box-shadow: 0 0 13px #52a8ec !important;
}

input[type="button"]:focus {
    border-color: #52a8ec !important;
    -moz-box-shadow: 0 0 13px #52a8ec !important;
    box-shadow: 0 0 13px #52a8ec !important;
}

input[type="submit"]:focus {
    border-color: #52a8ec !important;
    -moz-box-shadow: 0 0 13px #52a8ec !important;
    box-shadow: 0 0 13px #52a8ec !important;
}

.k-button:focus {
    border-color: #52a8ec !important;
    -moz-box-shadow: 0 0 13px #52a8ec !important;
    box-shadow: 0 0 13px #52a8ec !important;
}

i.fa.fa-search {
    cursor: zoom-in;
}

.calendario {
    cursor: pointer;
}

/*
    ********************************************************************
                        Select2 via Ajax
    ********************************************************************
*/

.select2-container--default .select2-selection--single .select2-selection__clear {
    right: 20px;
    /* bottom: 4px;*/
}
/*.selectAjax + span > span > span > span.select2-selection__arrow {
    margin-bottom: 10px !important;
}*/
.modal .select2-selection__rendered {
    padding-top: 0px !important;
}

.modal .select2-selection__clear {
    margin-right: 22px !important;
}

.checkbox-plus-minus:checked + label .fa-minus {
    display: inline;
}

.checkbox-plus-minus:not(:checked) + label .fa-minus {
    display: none;
}

.checkbox-plus-minus:checked + label .fa-plus {
    display: none;
}